Subject: bug#7075: closed (Re: bug#7075: Various problems in syntax highlighting and indentation in Java mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Oct 2019 11:51:02 +0000

Your bug report

#7075: Various problems in syntax highlighting and indentation in Java mode

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7075: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7075
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7075: Various problems in syntax highlighting and indentation in Java mode
From: Stefan Kangas <[email-masked]>
To: Paul Pogonyshev <[email-masked]>
Cc: [email-masked]
Date: Sun, 6 Oct 2019 13:49:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Paul Pogonyshev <[email-masked]> writes:

> A change log entry states that some work to support Java 5+ has been
> done:
>
> 2010-07-31  Nathaniel Flath  <[email-masked]>
>
>     Enhance Java Mode to handle Java 5.0 (Tiger) and Java 6 (Mustang).
>
> However, there are still many problems.  To reproduce, save the
> example at the end of this message as a Java file.

Thanks for the bug report.  Sorry you had to wait 9 years for a reply.

> Here are the errors I see:
> * 'bar' and 'ham' are not highlighted as variables (but 'foo' is);

I can't reproduce this, they both have font-lock-variable-name-face.

> * <Object> after 'new ArrayList' is not highlighted as a type (but in the
>   field declaration it is);

This seems to be fixed, too.  (They all have font-lock-type-face.)

> * ham() is not highlighted as a function name (but spam() is);

I guess you mean "egg" (ham is a variable)?  I can't reproduce this,
they both have font-lock-function-name-face.

> * 'xyz is not highlighted as a variable (but 'abc') is;

I can't reproduce this either.  xyz has font-lock-variable-name-face

> * items in enumeration 'Y' are indented incorrectly (but in 'X', which
>   doesn't implement any interfaces, they are aligned well); they are also
>   highlighted as variables, not as constants.

I can't reproduce this either.  It indents correctly.

> Version: GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
>  of 2010-09-20 on racoon

Since this bug was reported 9 years ago, I'm going to assume these
issues have been fixed while you were waiting for a reply and close it
now.

If you're still seeing any of this on a modern version of Emacs, please
report back and we can reopen the bug.

Best regards,
Stefan Kangas

Subject: Various problems in syntax highlighting and indentation in Java mode
From: Paul Pogonyshev <[email-masked]>
To: [email-masked]
Date: Mon, 20 Sep 2010 14:48:21 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

A change log entry states that some work to support Java 5+ has been
done:

2010-07-31  Nathaniel Flath  <[email-masked]>

	Enhance Java Mode to handle Java 5.0 (Tiger) and Java 6 (Mustang).

However, there are still many problems.  To reproduce, save the
example at the end of this message as a Java file.

Here are the errors I see:
* 'bar' and 'ham' are not highlighted as variables (but 'foo' is);
* <Object> after 'new ArrayList' is not highlighted as a type (but in the
  field declaration it is);
* ham() is not highlighted as a function name (but spam() is);
* 'xyz is not highlighted as a variable (but 'abc') is;
* items in enumeration 'Y' are indented incorrectly (but in 'X', which
  doesn't implement any interfaces, they are aligned well); they are also
  highlighted as variables, not as constants.

Version: GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2010-09-20 on racoon

Paul

class Test
{
    List  foo;
    List <?>  bar;
    List <Object>  ham = new ArrayList <Object> ();

    List spam ();
    List <Object> egg ();
    void x (List abc);
    void x (List <Object> xyz);

    enum X
    {
        A,
        B;
    }

    enum Y implements Z
    {
        A,
            B;
    }
}